﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tlacitka
{
    public partial class HlavniOkno : Form
    {
        const int pocetTlacitek = 10;
        const int sirkaTlacitka = 60;
        const int vyskaTlacitka = 30;
        const int mezeraTlacitka = 10;

        Button[] tlacitka = new Button[pocetTlacitek];

        public HlavniOkno()
        {
            InitializeComponent();

            for (int i = 0; i < pocetTlacitek; i++)
            {
                tlacitka[i] = new Button();

                tlacitka[i].Left = mezeraTlacitka 
                        + i * (sirkaTlacitka + mezeraTlacitka);
                tlacitka[i].Top = 30;
                tlacitka[i].Width = sirkaTlacitka;
                tlacitka[i].Height = vyskaTlacitka;
                tlacitka[i].Text = (i+1).ToString();
                tlacitka[i].Click += Tlacitko_Click;

                Width = pocetTlacitek * (sirkaTlacitka + mezeraTlacitka) 
                      + 2 * mezeraTlacitka;

                Controls.Add(tlacitka[i]);
            }
        }

        private void Tlacitko_Click(object sender, EventArgs e)
        {
            lblTlacitko.Text = ((Button)sender).Text;
        }
    }
}
